<?php
if (!defined('FORUM')) die();

if ($section == 'pan_hotkeys')
{
	$forum_url['pan_hotkeys'] = 'admin/settings.php?section=pan_hotkeys';
	
	$hotkeys_config = unserialize($forum_config['o_pan_hotkeys']);
	
	if(isset($_POST['add_key']))
	{
		$form_key = $_POST['key'];
		$form_val = $_POST['value'];
		
		$pan_hotkeys = array($form_key => $form_val);
		
		if(!empty($hotkeys_config))
			$pan_hotkeys = array_replace_recursive($pan_hotkeys, $hotkeys_config);
		
		
		$form = array('pan_hotkeys' => serialize($pan_hotkeys));
		pan_update_options($form);
		
		$forum_flash->add_info('Added');
		redirect(forum_link($forum_url['pan_hotkeys']), 'Added');
	}
	
	
	if(isset($_POST['remove']) )
	{
		$remove = key($_POST['remove']);
		
		foreach($hotkeys_config as $key => $val)
		{
			if($remove == $key)
				unset($hotkeys_config[$key]);
		}
		
		$form = array('pan_hotkeys' => serialize($hotkeys_config));
		pan_update_options( $form );

		$forum_flash->add_info('Deleted');
		redirect(forum_link($forum_url['pan_hotkeys']), 'Deleted');
	}
	
	if(isset($_POST['update']))
	{
		$values = $_POST['val'];
		$form = array('pan_hotkeys' => serialize($values));
		pan_update_options( $form );
		
		$forum_flash->add_info('Updated');
		redirect(forum_link($forum_url['pan_hotkeys']), 'Updated');
	}

	// Setup the form
	$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;
	
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
		array($lang_admin_common['Settings'], forum_link($forum_url['admin_settings_setup'])),
		'Hotkeys'
	);
	
	$forum_page['form_action'] = forum_link($forum_url['pan_more_options_update']);
	$forum_page['csrf_token'] = generate_form_token($forum_page['form_action']);
	$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;
	
	define('FORUM_PAGE_SECTION', 'settings');
	define('FORUM_PAGE', 'admin-pan-hotkeys');
	require FORUM_ROOT.'header.php';
	
	// START SUBST - <!-- forum_main -->
	ob_start();
	
?>
	
	<div class="main-content main-frm">
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_hotkeys']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_hotkeys'])) ?>" />
			</div>
			
			<div class="content-head">
				<h2 class="hn"><span>Hotkeys</span></h2>
			</div>
			
			<fieldset class="frm-group frm-hdgroup group<?php echo ++$forum_page['group_count'] ?>">
				<legend class="group-legend"><span><?php echo $lang_admin_censoring['Add censored word legend'] ?></span></legend>
				
				<fieldset class="mf-set set<?php echo ++$forum_page['item_count'] ?><?php echo ($forum_page['item_count'] == 1) ? ' mf-head' : ' mf-extra' ?>">
					<legend><span><?php echo 'Add new button tag' ?></span></legend>
					<div class="mf-box">
					
						<div class="mf-field mf-field1">
							<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span class="fld-label"><?php echo 'Button tag' ?></span></label><br />
							<span class="fld-input"><input type="text" id="fld<?php echo $forum_page['fld_count'] ?>" name="key" size="24" maxlength="60" required /></span>
						</div>
						
						<div class="mf-field">
							<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span class="fld-label"><?php echo 'Inserted' ?></span></label><br />
							<span class="fld-input"><input type="text" id="fld<?php echo $forum_page['fld_count'] ?>" name="value" size="24" maxlength="60" required /></span>
						</div>
						
						<div class="mf-field">
							<span class="submit"><input type="submit" name="add_key" value=" <?php echo 'Add key' ?> " /></span>
						</div>
					</div>
				</fieldset>
			</fieldset>
			
		</form>
<?php

if (!empty($hotkeys_config))
{
	// Reset
	$forum_page['group_count'] = $forum_page['item_count'] = 0;

?>

		<div class="content-head">
			<h2 class="hn"><span>Hotkeys</span></h2>
		</div>
			
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_hotkeys']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_hotkeys'])) ?>" />
			</div>
			
			<fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
				<legend class="group-legend"><span><?php echo 'Edit censored word legend' ?></span></legend>
<?php
$i = 1;
	foreach ($hotkeys_config as $hot_key => $hot_val)
	{
	?>
				<fieldset class="mf-set mf-extra set<?php echo ++$forum_page['item_count'] ?><?php echo ($forum_page['item_count'] == 1) ? ' mf-head' : ' mf-extra' ?>">
					<legend><span><?php echo 'Button: '.$i ?></span></legend>
					<div class="mf-box">

						<div class="mf-field mf-field1">
							<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo 'Censored word label' ?></span></label><br />
							<span class="fld-input"><input type="text" id="fld<?php echo $forum_page['fld_count'] ?>" name="key[<?php echo $hot_key ?>]" value="<?php echo forum_htmlencode($hot_key) ?>" size="24" maxlength="60" required disabled/></span>
						</div>

						<div class="mf-field">
							<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo 'Replacement label' ?></span></label><br />
							<span class="fld-input"><input type="text" id="fld<?php echo $forum_page['fld_count'] ?>" name="val[<?php echo $hot_key ?>]" value="<?php echo forum_htmlencode($hot_val) ?>" size="24" maxlength="60" required /></span>
						</div>
						
						<div class="mf-field">
							<span class="submit"><input type="submit" name="remove[<?php echo $hot_key ?>]" value="<?php echo 'Remove' ?>" formnovalidate /></span>
						</div>
					</div>

				</fieldset>
<?php
$i++;
	}
?>
			</fieldset>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="update[<?php echo $hot_key ?>]" value="<?php echo 'Update' ?>" /></span>
			</div>
			
		</form>

<?php

}
else
{

?>
		<div class="frm-form">
			<div class="ct-box">
				<p><?php echo 'No hotkeys' ?></p>
			</div>
		</div>

<?php
}
?>
		<div id="info-censored-intro" class="ct-box">
			<p>More information <a href="http://panbb.ru/forum/" target="_blank">PanBB.ru</a></p>
		</div>
		
	</div>
<?php
	
	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->
	
	require FORUM_ROOT.'footer.php';
}
